下载执行elementsinstall.sh 总是出现错误.谁帮帮忙啊??谢谢了

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

下载执行elementsinstall.sh 总是出现错误.谁帮帮忙啊??谢谢了

#1

帖子 airmy » 2008-07-24 10:29

我./elementsinstall.sh之后
10de:0393 (rev a1) (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: not present.
aborting and using fallback: /usr/bin/metacity
Window manager error: Unable to open X display
这里就停止出error了.怎么解决啊??
:(
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

Re: 下载执行elementsinstall.sh 总是出现错误.谁帮帮忙啊??谢谢了

#2

帖子 airmy » 2008-07-24 10:38

我./elementsinstall.sh出现错误提示如下:
root@xxxxx-desktop:~# ./elementsinstall.sh
Reading package lists... Done
Building dependency tree
Reading state information... Done
compiz-bcop is already the newest version.
compiz-dev is already the newest version.
libxcomposite-dev is already the newest version.
libpng12-dev is already the newest version.
libsm-dev is already the newest version.
libxrandr-dev is already the newest version.
libxdamage-dev is already the newest version.
libxinerama-dev is already the newest version.
libstartup-notification0-dev is already the newest version.
libgl1-mesa-dev is already the newest version.
libtool is already the newest version.
libxslt1-dev is already the newest version.
xsltproc is already the newest version.
The following packages were automatically installed and are no longer required:
libgnomeui-dev libtagc0 libwebkit-1.0-1 libxalan110 libgnome-keyring-dev
libgail-dev libbonoboui2-dev libflickrnet2.1.5-cil libtaglib2.0-cil
libjpeg62-dev libboo2.0-cil libart-2.0-dev libgnomecanvas2-dev
libavahi1.0-cil libxerces27 libnotify0.4-cil
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
mkdir: cannot create directory `/root/.elements': File exists
--10:28:04-- http://www.elementsplugin.com/downloads ... ent.tar.gz
=> `/root/.elements/elements.tar.gz'
Resolving www.elementsplugin.com... 69.89.31.238
Connecting to www.elementsplugin.com|69.89.31.238|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 118,200 (115K) [application/x-gzip]

100%[====================================>] 118,200 45.11K/s

10:28:07 (45.05 KB/s) - `/root/.elements/elements.tar.gz' saved [118200/118200]

images/
images/fireflies2.svg
images/snow1.png
images/plugin-elements.png
images/fireflies1.svg
images/bubbles1.png
images/bubbles2.png
images/autumn1.png
images/stars1.png
images/autumn2.png
images/snow2.png
plugin.info
Makefile
elements.xml.in
elements.c
install : /root/.compiz/plugins/libelements.so
install : /root/.compiz/metadata/elements.xml
install : build/compiz-elements.schemabuild/compiz-elements.schema:1: parser error : Document is empty

^
build/compiz-elements.schema:1: parser error : Start tag expected, '<' not found

^
install : build/compiz-elements.schema
install : /root/.compiz/images/bubbles1.png
install : /root/.compiz/images/fireflies2.svg
install : /root/.compiz/images/autumn1.png
install : /root/.compiz/images/snow2.png
install : /root/.compiz/images/stars1.png
install : /root/.compiz/images/autumn2.png
install : /root/.compiz/images/plugin-elements.png
install : /root/.compiz/images/snow1.png
install : /root/.compiz/images/bubbles2.png
install : /root/.compiz/images/fireflies1.svg
Checking for Xgl: xvinfo: Unable to open display
not present.
xset: unable to open display ""
xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log
root@xxxxx-desktop:~# Detected PCI ID for VGA: 01:00.0 0300: 10de:0393 (rev a1) (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: not present.
aborting and using fallback: /usr/bin/metacity
Window manager error: Unable to open X display


:(
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#3

帖子 airmy » 2008-07-24 13:27

没人帮忙吗? :x :x :x
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#4

帖子 airmy » 2008-07-24 14:10

继续顶上去 :twisted: :twisted: :twisted:
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 BigSnake.NET » 2008-07-24 14:11

你的compiz能用吗?
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#6

帖子 airmy » 2008-07-24 16:10

当然能用.版本是0.7.6的
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#7

帖子 airmy » 2008-07-25 11:05

继续顶上去 :twisted: :twisted:
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#8

帖子 airmy » 2008-07-25 13:05

继续顶上去 :twisted: :twisted:
头像
abysshal
帖子: 64
注册时间: 2008-01-25 13:27
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 abysshal » 2008-07-25 13:30

我也遇到相同情况 啊啊~~
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#10

帖子 airmy » 2008-07-25 17:46

怎么接觉得楼上?
airmy
帖子: 339
注册时间: 2007-11-13 18:40
送出感谢: 0
接收感谢: 0

#11

帖子 airmy » 2008-07-26 9:06

继续顶上去 :twisted: :twisted:
头像
aunome
帖子: 6
注册时间: 2008-06-18 11:47
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 aunome » 2008-07-26 21:13

我的也用不了阿,运行不了,权限改了还是没有用。郁闷中。。。
回复

回到 “桌面特效”